/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.jz.dmp.cmdexectool.scheduler.common.task.shell;

import java.util.List;

import com.jz.dmp.cmdexectool.common.constant.CommConstant;
import com.jz.dmp.cmdexectool.controller.bean.DmpDevelopTaskDto;
import com.jz.dmp.cmdexectool.scheduler.common.process.ResourceInfo;
import com.jz.dmp.cmdexectool.scheduler.common.task.AbstractParameters;
import com.jz.dmp.cmdexectool.scheduler.server.entity.TaskExecutionContext;

/**
 * shell parameters
 */
public class ShellParameters extends AbstractParameters {
  /**
   * shell script
   */
  private String script;
  
  private String taskAppId;

  /**
   * resource list
   */
  private List<ResourceInfo> resourceList;

	public String getScript() {
		return script;
	}

	public void setScript(String script) {
		this.script = script;
	}

	public String getTaskAppId() {
		return taskAppId;
	}

	public void setTaskAppId(String taskAppId) {
		this.taskAppId = taskAppId;
	}

	public List<ResourceInfo> getResourceList() {
		return resourceList;
	}

  public void setResourceList(List<ResourceInfo> resourceList) {
    this.resourceList = resourceList;
  }

  @Override
  public boolean checkParameters() {
    return script != null && !script.isEmpty();
  }

  @Override
  public List<ResourceInfo> getResourceFilesList() {
    return resourceList;
  }

	/**  
	* @Title: getTaskExecutionContext  
	* @Description: TODO(获取TaskExecutionContext)  
	* @param @param dmpDevelopTaskDto
	* @param @return    参数  
	* @return TaskExecutionContext    返回类型  
	* @throws  
	*/ 
	public TaskExecutionContext getTaskExecutionContext() {
		TaskExecutionContext taskExecutionContext = new TaskExecutionContext();

		// taskName;

		// taskType;
		taskExecutionContext.setTaskType(CommConstant.WORK_TYPE_SHELL);
		// host;

		// executePath;
		//taskExecutionContext.setExecutePath("E:/test");
		// logPath;

		// taskJson;

		// globalParams;

		// projectId;

		// taskParams;
		taskExecutionContext.setTaskParams(script);

		// envFile;

		// taskAppId
		taskExecutionContext.setTaskAppId(taskAppId);

		return taskExecutionContext;
	}
}
